using System;
using System.Collections.Generic;
using System.Text;
using Howest.Guidance.DataAccess.CodeGeneration.ObjectModel.Mappings.Enums;

namespace Howest.Guidance.DataAccess.CodeGeneration.ObjectModel.Mappings
{
	public class EntitySqlStatementMapping
	{

		public EntitySqlStatementMapping(string mappingName, string tableName, SqlStatementMappingType type)
		{
			_type = type;
			_mappingName = mappingName;
			_tableName = tableName;
		}

		public EntitySqlStatementMapping()
		{

		}

		private SqlStatementMappingType _type;
		public SqlStatementMappingType MappingType
		{
			get { return _type; }
		}
	

		private string _tableName;

		public string TableName
		{
			get { return _tableName; }
			set { _tableName = value; }
		}
	
		private string _mappingName;

		public string MappingName
		{
			get { return _mappingName; }
			set { _mappingName = value; }
		}

		private List<SqlStatement> _statements = new List<SqlStatement>();

		public List<SqlStatement> Statements
		{
			get { return _statements; }
		}
	

		private List<PropertyParameterMapping> parameterMappings = new List<PropertyParameterMapping>();

		/// <summary>
		/// Gets or sets the parameter mappings.
		/// </summary>
		/// <value>The parameter mappings.</value>
		public List<PropertyParameterMapping> ParameterMappings
		{
			get { return parameterMappings; }
			set { parameterMappings = value; }
		}
	}
}
